Terp Network Docs
APIsIbcgoQuery
GET
/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments

Path Parameters

channel_id*string

channel unique identifier

port_id*string

port unique identifier

Query Parameters

pagination.key?string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset?string

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

Formatuint64
pagination.limit?string

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

Formatuint64
pagination.count_total?boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

Formatboolean
pagination.reverse?boolean

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Formatboolean

Response Body

*/*

*/*

curl -X GET "https://api.terp.network/ibc/core/channel/v1/channels/string/ports/string/packet_commitments"
{
  "commitments": [
    {
      "port_id": "string",
      "channel_id": "string",
      "sequence": "string",
      "data": "string"
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  },
  "height": {
    "revision_number": "string",
    "revision_height": "string"
  }
}
{
  "error": "string",
  "code": 0,
  "message": "string",
  "details": [
    {
      "type_url": "string",
      "value": "string"
    }
  ]
}